/// <reference types="react" />
import { DataGridFormControlBase } from "../DataGridFormControlBase";
import { IDataDefinition } from "@appglue/common/dist/Common/Data/Definitions/IDataDefinition";
export declare class DataGridFormControl extends DataGridFormControlBase {
    dataGridMode: string;
    readonly __type: string;
    render(): JSX.Element;
    getColumnSetting: () => import("../DataGridFormControlBase").ColumnDef[];
    changeData: (params: any) => void;
    handleData: (params: any) => void;
    getRows: () => any[];
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    renderEditUI(): JSX.Element | null;
    getStorageData(): object;
    setStorageData(data: object): void;
}
